Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Mehrere Probleme in PHP
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in PHP
ID: openSUSE-SU-2016:1761-1
Distribution: SUSE
Plattformen: SUSE openSUSE 13.2
Datum: Fr, 8. Juli 2016, 08:29
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-5773
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-5768
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-5771
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-5770
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-5772
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-5767
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-8935
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-5769
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-5766

Originalnachricht

   openSUSE Security Update: Security update for php5
______________________________________________________________________________

Announcement ID: openSUSE-SU-2016:1761-1
Rating: important
References: #986004 #986244 #986246 #986247 #986386 #986388
#986391 #986392 #986393
Cross-References: CVE-2015-8935 CVE-2016-5766 CVE-2016-5767
CVE-2016-5768 CVE-2016-5769 CVE-2016-5770
CVE-2016-5771 CVE-2016-5772 CVE-2016-5773

Affected Products:
openSUSE 13.2
______________________________________________________________________________

An update that fixes 9 vulnerabilities is now available.

Description:

php5 was updated to fix nine security issues.

These security issues were fixed:
- CVE-2016-5773: ZipArchive class Use After Free Vulnerability in PHP's
GC
algorithm and unserialize (bsc#986247).
- CVE-2016-5772: Double Free Courruption in wddx_deserialize (bsc#986244).
- CVE-2016-5771: Use After Free Vulnerability in PHP's GC algorithm and
unserialize (bsc#986391).
- CVE-2016-5770: int/size_t confusion in SplFileObject::fread (bsc#986392).
- CVE-2016-5768: Double free in _php_mb_regex_ereg_replace_exec -
(bsc#986246).
- CVE-2016-5769: mcrypt: Heap Overflow due to integer overflows
(bsc#986388).
- CVE-2015-8935: XSS in header() with Internet Explorer (bsc#986004).
- CVE-2016-5767: Integer Overflow in gdImagePaletteToTrueColor() resulting
in heap overflow (bsc#986393).
- CVE-2016-5766: Integer Overflow in _gd2GetHeader() resulting in heap
overflow (bsc#986386).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2016-844=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

apache2-mod_php5-5.6.1-69.1
apache2-mod_php5-debuginfo-5.6.1-69.1
php5-5.6.1-69.1
php5-bcmath-5.6.1-69.1
php5-bcmath-debuginfo-5.6.1-69.1
php5-bz2-5.6.1-69.1
php5-bz2-debuginfo-5.6.1-69.1
php5-calendar-5.6.1-69.1
php5-calendar-debuginfo-5.6.1-69.1
php5-ctype-5.6.1-69.1
php5-ctype-debuginfo-5.6.1-69.1
php5-curl-5.6.1-69.1
php5-curl-debuginfo-5.6.1-69.1
php5-dba-5.6.1-69.1
php5-dba-debuginfo-5.6.1-69.1
php5-debuginfo-5.6.1-69.1
php5-debugsource-5.6.1-69.1
php5-devel-5.6.1-69.1
php5-dom-5.6.1-69.1
php5-dom-debuginfo-5.6.1-69.1
php5-enchant-5.6.1-69.1
php5-enchant-debuginfo-5.6.1-69.1
php5-exif-5.6.1-69.1
php5-exif-debuginfo-5.6.1-69.1
php5-fastcgi-5.6.1-69.1
php5-fastcgi-debuginfo-5.6.1-69.1
php5-fileinfo-5.6.1-69.1
php5-fileinfo-debuginfo-5.6.1-69.1
php5-firebird-5.6.1-69.1
php5-firebird-debuginfo-5.6.1-69.1
php5-fpm-5.6.1-69.1
php5-fpm-debuginfo-5.6.1-69.1
php5-ftp-5.6.1-69.1
php5-ftp-debuginfo-5.6.1-69.1
php5-gd-5.6.1-69.1
php5-gd-debuginfo-5.6.1-69.1
php5-gettext-5.6.1-69.1
php5-gettext-debuginfo-5.6.1-69.1
php5-gmp-5.6.1-69.1
php5-gmp-debuginfo-5.6.1-69.1
php5-iconv-5.6.1-69.1
php5-iconv-debuginfo-5.6.1-69.1
php5-imap-5.6.1-69.1
php5-imap-debuginfo-5.6.1-69.1
php5-intl-5.6.1-69.1
php5-intl-debuginfo-5.6.1-69.1
php5-json-5.6.1-69.1
php5-json-debuginfo-5.6.1-69.1
php5-ldap-5.6.1-69.1
php5-ldap-debuginfo-5.6.1-69.1
php5-mbstring-5.6.1-69.1
php5-mbstring-debuginfo-5.6.1-69.1
php5-mcrypt-5.6.1-69.1
php5-mcrypt-debuginfo-5.6.1-69.1
php5-mssql-5.6.1-69.1
php5-mssql-debuginfo-5.6.1-69.1
php5-mysql-5.6.1-69.1
php5-mysql-debuginfo-5.6.1-69.1
php5-odbc-5.6.1-69.1
php5-odbc-debuginfo-5.6.1-69.1
php5-opcache-5.6.1-69.1
php5-opcache-debuginfo-5.6.1-69.1
php5-openssl-5.6.1-69.1
php5-openssl-debuginfo-5.6.1-69.1
php5-pcntl-5.6.1-69.1
php5-pcntl-debuginfo-5.6.1-69.1
php5-pdo-5.6.1-69.1
php5-pdo-debuginfo-5.6.1-69.1
php5-pgsql-5.6.1-69.1
php5-pgsql-debuginfo-5.6.1-69.1
php5-phar-5.6.1-69.1
php5-phar-debuginfo-5.6.1-69.1
php5-posix-5.6.1-69.1
php5-posix-debuginfo-5.6.1-69.1
php5-pspell-5.6.1-69.1
php5-pspell-debuginfo-5.6.1-69.1
php5-readline-5.6.1-69.1
php5-readline-debuginfo-5.6.1-69.1
php5-shmop-5.6.1-69.1
php5-shmop-debuginfo-5.6.1-69.1
php5-snmp-5.6.1-69.1
php5-snmp-debuginfo-5.6.1-69.1
php5-soap-5.6.1-69.1
php5-soap-debuginfo-5.6.1-69.1
php5-sockets-5.6.1-69.1
php5-sockets-debuginfo-5.6.1-69.1
php5-sqlite-5.6.1-69.1
php5-sqlite-debuginfo-5.6.1-69.1
php5-suhosin-5.6.1-69.1
php5-suhosin-debuginfo-5.6.1-69.1
php5-sysvmsg-5.6.1-69.1
php5-sysvmsg-debuginfo-5.6.1-69.1
php5-sysvsem-5.6.1-69.1
php5-sysvsem-debuginfo-5.6.1-69.1
php5-sysvshm-5.6.1-69.1
php5-sysvshm-debuginfo-5.6.1-69.1
php5-tidy-5.6.1-69.1
php5-tidy-debuginfo-5.6.1-69.1
php5-tokenizer-5.6.1-69.1
php5-tokenizer-debuginfo-5.6.1-69.1
php5-wddx-5.6.1-69.1
php5-wddx-debuginfo-5.6.1-69.1
php5-xmlreader-5.6.1-69.1
php5-xmlreader-debuginfo-5.6.1-69.1
php5-xmlrpc-5.6.1-69.1
php5-xmlrpc-debuginfo-5.6.1-69.1
php5-xmlwriter-5.6.1-69.1
php5-xmlwriter-debuginfo-5.6.1-69.1
php5-xsl-5.6.1-69.1
php5-xsl-debuginfo-5.6.1-69.1
php5-zip-5.6.1-69.1
php5-zip-debuginfo-5.6.1-69.1
php5-zlib-5.6.1-69.1
php5-zlib-debuginfo-5.6.1-69.1

- openSUSE 13.2 (noarch):

php5-pear-5.6.1-69.1


References:

https://www.suse.com/security/cve/CVE-2015-8935.html
https://www.suse.com/security/cve/CVE-2016-5766.html
https://www.suse.com/security/cve/CVE-2016-5767.html
https://www.suse.com/security/cve/CVE-2016-5768.html
https://www.suse.com/security/cve/CVE-2016-5769.html
https://www.suse.com/security/cve/CVE-2016-5770.html
https://www.suse.com/security/cve/CVE-2016-5771.html
https://www.suse.com/security/cve/CVE-2016-5772.html
https://www.suse.com/security/cve/CVE-2016-5773.html
https://bugzilla.suse.com/986004
https://bugzilla.suse.com/986244
https://bugzilla.suse.com/986246
https://bugzilla.suse.com/986247
https://bugzilla.suse.com/986386
https://bugzilla.suse.com/986388
https://bugzilla.suse.com/986391
https://bugzilla.suse.com/986392
https://bugzilla.suse.com/986393

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung